[ python ] sys.exit inside exception

Question

If we have sys.exit inside except closure, the finally is still executed ?

TL;DR

Yes

Explanation

Example code

import sys

try:
    print 'try'
    raise Exception("whatever exception")
except Exception as exc:
    print 'exception'
    print exc
    sys.exit(2)
finally:
    print 'finally'

Result

try
exception
whatever exception
finally
Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s